// IZysjSystemService.aidl

package android.os;

interface IZysjSystemService {
	
	/* add by lrm, aidl interface support read/write gpio interface. */
	int get_zysj_gpio_value(int which);
	int set_zysj_gpio_value(int which, int value);
	
	/* add by lrm, aidl interface support power manger interface. */
	int setTimeToRtc(int cmd, String date, String time);
	int zYRebootSys();
	int zYShutdownSys();
	
	/*add by alvin, support for screen cut and system bar aidl interface.*/
	int zYSystemBar(int cmd);
	String zYShotScreen(String picPath, String fileName, int screenId);
	
	/*add by alvin, support for Backlight and ResetSystem aidl interface.*/
	int zYsetBackLight(int backageLight);
	int zYgetBackLight();
	int zYresetSys();
	
	/*add by yfc, support for ScreenDirection and SystemTime aidl interface.*/
	int zYgetScreenDirection();
	int zYsetScreenDirection(int rotate);
	boolean zYsetSysTime(String time);
	boolean zYsetTimeZone(String timeZone);
	
	/*add by yfc, support for backageLight and wiress adb aidl interface.*/
	void zYsetAdbWiress(boolean enable);
	boolean ZYhdmiScreenControl(boolean flag);
	int ZYbackageLightControl(boolean flag);
	
	/*add by yfc, support for network aidl interface.*/
	boolean zYsetEthernetEnabled(boolean enabled);
	void zYsetEthernetParams(int mode,in Map params);
	void zYsetWifiParams(int mode,in Map params);
	String zYgetWifiIp();
	String zYgetWifiMacAddress();
	String zYgetWifiGatWay();
	String zYgetWifiNetMask();
	String zYgetWifiDns1();
	String zYgetWifiDns2();
	String zYgetEthIp();
	String zYgetEthMacAddress();
	String zYgetEthGatWay();
	String zYgetEthNetMask();
	String zYgetEthDns1();
	String zYgetEthDns2();
	int zYsetEthTurnOff();
	int zYsetEthTurnOn();
	
	/*add by yfc, support for install apk aidl interface.*/
	int zYSilentInstallation(String apkPath, String apkName);
	
	/*add by XYP, support get device kernel info*/
	String zYgetDeviceKernelInfo();
	int watchDogFeed();
	int watchDogEnable(int enable,int timeOut);
	int setKeyCode(int keyCode);
	
	
	int ZYInstallSecure(boolean enable);
	int ZYUpateBootLogo(String logoPath);
	int ZYCancelSaveWifi(String wifiSSID);
	int ZYCreateSoftAp(String softApName);
	int ZYOpenSoftAp();
	int ZYCloseAp();
	
	int ZYsetSerialNo(String serialno);
	String ZYgetSerialNo();
	
	int ZYsetUserData(String userData);
	String ZYgetUserData();
}